/*         ______   ___    ___ 
 *        /\  _  \ /\_ \  /\_ \ 
 *        \ \ \L\ \\//\ \ \//\ \      __     __   _ __   ___ 
 *         \ \  __ \ \ \ \  \ \ \   /'__`\ /'_ `\/\`'__\/ __`\
 *          \ \ \/\ \ \_\ \_ \_\ \_/\  __//\ \L\ \ \ \//\ \L\ \
 *           \ \_\ \_\/\____\/\____\ \____\ \____ \ \_\\ \____/
 *            \/_/\/_/\/____/\/____/\/____/\/___L\ \/_/ \/___/
 *                                           /\____/
 *                                           \_/__/
 *
 *      Windows-specific header defines.
 *
 *      By Shawn Hargreaves.
 *
 *      See readme.txt for copyright information.
 */


#ifndef ALLEGRO_WINDOWS
   #error bad include
#endif


#ifndef USE_CONSOLE

   /* magic to turn ANSI main() function into a Windows initialisation */
   AL_FUNC(int, _WinMain, (void *_main, int hInst, int hPrev, char *CmdLine, int nCmdShow));

   #ifdef ALLEGRO_RSXNT
      int WinMain(int hInst, int hPrev, char *CmdLine, int nCmdShow) __attribute__ ((stdcall));
   #endif

   #define main                                                              \
									     \
      __stdcall WinMain(int hInst, int hPrev, char *CmdLine, int nCmdShow)   \
      {                                                                      \
	 int __cdecl _main();                                                \
	 return _WinMain((void *)_main, hInst, hPrev, CmdLine, nCmdShow);    \
      }                                                                      \
									     \
      int __cdecl _main

#endif


/* todo */
#define SYSTEM_DIRECTX           AL_ID('D','I','R','X')

AL_VAR(SYSTEM_DRIVER, system_directx);


#define GFX_DIRECTX              AL_ID('D','D','R','W')

#define GFX_SAFE_ID              GFX_DIRECTX
#define GFX_SAFE_W               640
#define GFX_SAFE_H               480

